# Deprecated Interface for (Re-)folding Paths, Saddle Points, and Energy Barriers

  Typedefs

  typedef struct vrna_path_s path_t
    #include <ViennaRNA/landscape/paths.h>

    Old typename of vrna_path_s.

    Deprecated:

      Use vrna_path_t instead!

  Functions

  int find_saddle(const char *seq, const char *s1, const char *s2, int width)
    #include <ViennaRNA/landscape/findpath.h>

    Find energy of a saddle point between 2 structures (search only direct path)

    Deprecated:

      Use vrna_path_findpath_saddle() instead!

    Parameters:

      - seq – RNA sequence

      - s1 – A pointer to the character array where the first secondary structure in dot-bracket notation will be written to

      - s2 – A pointer to the character array where the second secondary structure in dot-bracket notation will be written to

      - width – integer how many strutures are being kept during the search

    Returns:

      the saddle energy in 10cal/mol

  void free_path(vrna_path_t *path)
    #include <ViennaRNA/landscape/findpath.h>

    Free memory allocated by get_path() function.

    Deprecated:

      Use vrna_path_free() instead!

    Parameters:

      - path – pointer to memory to be freed

  vrna_path_t *get_path(const char *seq, const char *s1, const char *s2, int width)
    #include <ViennaRNA/landscape/findpath.h>

    Find refolding path between 2 structures (search only direct path)

    Deprecated:

      Use vrna_path_findpath() instead!

    Parameters:

      - seq – RNA sequence

      - s1 – A pointer to the character array where the first secondary structure in dot-bracket notation will be written to

      - s2 – A pointer to the character array where the second secondary structure in dot-bracket notation will be written to

      - width – integer how many strutures are being kept during the search

    Returns:

      direct refolding path between two structures